org.bouncycastle.jce.interfaces

## Interface ECPublicKey

All Superinterfaces:
  ECKey, java.security.Key, java.security.PublicKey, java.io.Serializable

All Known Implementing Classes:
  JCEECPublicKey

    public interface ECPublicKey
    extends ECKey, java.security.PublicKey

interface for elliptic curve public keys.

### Field Summary

### Fields inherited from interface java.security.PublicKey

`serialVersionUID`

### Method Summary

Methods
`org.bouncycastle.math.ec.ECPoint` `getQ()` return the public point Q

### Methods inherited from interface org.bouncycastle.jce.interfaces.ECKey

`getParameters`

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Method Detail

#### getQ

    org.bouncycastle.math.ec.ECPoint getQ()

return the public point Q